/** Shopify CDN: Minification failed

Line 226:1 Expected "}" to go with "{"

**/
/*
  © 2025 KondaSoft
  https://www.kondasoft.com
*/

#search-modal {
  width: 800px;
}

#search-modal .dialog-body {
}

#search-modal .dialog-close {
  background-color: rgba(var(--color-text), 0.05);
  margin-left: 1rem;
  margin-right: 0;
}

predictive-search {
  display: block;
  width: 100%;
}

.search-form-wrapper {
  display: flex;
  align-items: center;
}

.search-form {
  --height: 2.6rem;
  --offset: 0.25rem;
  --btn-size: calc(var(--height) - var(--offset) * 2);
  width: 100%;
  position: relative;
}

.search-form input[type="search"] {
  width: 100%;
  height: var(--height);
  padding: 0 1rem;
  padding-right: calc(var(--btn-size) * 2 + 1rem);
  font-size: 1rem;
}

input[type="search"]::-webkit-search-cancel-button {
  -webkit-appearance: none;
}

.search-form button {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: transparent;
  color: rgba(var(--color-text));
  border: none;
  border-radius: var(--border-radius);
  padding: 0;
  width: var(--btn-size);
  height: var(--btn-size);
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: all 0.2s ease-out;
}
.search-form button:hover {
}
.search-form button[type="reset"] {
  right: calc(var(--btn-size) + var(--offset) * 2);
}
.search-form button[type="submit"] {
  right: var(--offset);
}

.search-form .loading-spinner-wrapper {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: var(--offset);
  display: flex;
  justify-content: center;
  align-items: center;
  width: var(--btn-size);
  height: var(--btn-size);
}
.search-form .loading-spinner {
  width: 0.875rem;
  height: 0.875rem;
}

#predictive-search {
  padding-top: 1rem;
}

#predictive-search .subheading {
  padding: 0 0 0.5rem;
  margin: 0 0 1rem;
  border-bottom: 1px dotted rgba(var(--color-text), 1);
}

ul.predictive-search-simple-list {
  list-style: none;
  padding: 0;
  margin: -0.375rem 0 1.5rem;
}

ul.predictive-search-simple-list li a {
  display: flex;
  padding: 0.375rem 0;
  border-radius: var(--border-radius);
  transition: all 0.2s ease-out;
}
ul.predictive-search-simple-list li a[tabindex="0"],
ul.predictive-search-simple-list li a:focus-visible {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
  outline: 2px solid currentColor;
}

#predictive-search ul[data-type="queries"] mark {
  background-color: transparent;
  color: rgba(var(--color-text), 0.5);
}

#predictive-search ul[data-type="products"] {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  list-style: none;
  padding: 0;
  margin: 0 0 1.5rem;
}

#predictive-search button[data-type="search-for"] {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
#predictive-search button[data-type="search-for"] svg {
  margin-left: 0.5rem;
  transition: all 0.2s ease-out;
}
#predictive-search button[data-type="search-for"]:hover svg {
  transform: translateX(0.1rem);
}

@media (max-width: 799px) {
  #predictive-search ul[data-type="queries"] {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0.5rem;
  }
}

@media (min-width: 800px) {
  #predictive-search-inner[data-cols="2"] {
    display: grid;
    grid-template-columns: 1fr 1.75fr;
    gap: 1rem;
  }

  
@media (min-width: 1200px) {
  body:not(.aside-closed) #search-modal {
    left: var(--aside-width);
  }
}


/*
  Search page
*/
.search-main {
}

.search-main .section-header {
  background-color: rgba(var(--color-background), 1);
  background-image: var(--color-background-gradient);
  color: rgba(var(--color-text), 1);
}

.search-main .section-header .heading {
  text-align: center;
  margin: 0 0 .75rem;
}

.search-main .search-inner {
  background-color: rgba(var(--color-background), 1);
  color: rgba(var(--color-text), 1);
}

.search-main .search-utilities {
  margin-bottom: 1.5rem;
}

.search-main .search-utilities p {
  margin-bottom: 0;
}

@media (max-width: 599px) {
  .search-main .section-header {
    padding-top: calc(var(--padding-top) * 0.75);
    padding-bottom: calc(var(--padding-bottom) * 0.75);
  }
  .search-main .search-inner {
    padding-top: calc(var(--padding-top) * 0.75);
    padding-bottom: calc(var(--padding-bottom) * 0.75);
  }
}

@media (min-width: 600px) {
  .search-main .section-header {
    padding-top: calc(var(--padding-top) * 1);
    padding-bottom: calc(var(--padding-bottom) * 1);
  }
  .search-main .search-inner {
    padding-top: calc(var(--padding-top) * 1);
    padding-bottom: calc(var(--padding-bottom) * 1);
  }
}